Skip to main content

Disabling Debit and Prepaid Partial Authorizations


This topic shows you how to successfully disable partial authorizations for specific transactions.

Supported Processors

  • AIBMS
  • American Express Direct
  • Banque de France et Trésor Public
  • Barclays
  • BNP Paribas France
  • Chase Paymentech Solutions
  • Cielo
  • Comercio Latino
  • Credit Mutuel-CIC
  • Elavon Americas
  • FDC Compass
  • FDC Nashville Global
  • FDI Australia
  • FDMS Nashville
  • Getnet
  • GPN
  • HBOS
  • HSBC
  • JCN Gateway
  • Lloyds-OmniPay
  • LloydsTSB Cardnet
  • Moneris
  • OmniPay Direct
  • Prosa
  • Rede
  • RuPay HDFC
  • SIX
  • Streamline
  • TSYS Acquiring Solutions
  • UATP
  • Vero
  • Worldpay VAP
  • Barclays
  • TSYS Acquiring Solutions

Supported processors:

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Streamline
  • Worldpay VAP

Field Specific to this Use Case

Include this field in addition to the fields required for a standard authorization request:

  • Indicate that this request is not a partial authorization. Set the processingInformation.authorizationOptions.partialAuthIndicator to false.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "processingInformation": {    "authorizationOptions": {      "partialAuthIndicator": "false"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "orderInformation": {    "billTo": {      "country": "US",      "lastName": "Deo",      "address2": "Address 2",      "address1": "201 S. Division St.",      "postalCode": "48104-2201",      "locality": "Ann Arbor",      "administrativeArea": "MI",      "firstName": "John",      "phoneNumber": "999999999",      "district": "MI",      "buildingNumber": "123",      "company": "Visa",      "email": ""    },    "amountDetails": {      "totalAmount": "501.00",      "currency": "USD"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2031",      "number": "5555555555xxxxxx",      "securityCode": "123",      "expirationMonth": "12",      "type": "002"    }  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/payments/6595545423896900104953"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "errorInformation": {    "reason": "PROCESSOR_DECLINED",    "message": "Decline - General decline of the card. No other information provided by the issuing bank."  },  "id": "6595545423896900104953",  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "status": "DECLINED"}

Required Fields

Use these required fields for disabling debit and prepaid partial authorizations.

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
orderInformation.amountDetails.currency
For RuPay HDFC: Set the value to INR. For Vero: Vero supports Brazilian real (BRL) currency only.
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.type—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
processingInformation.authorizationOptions.partialAuthIndicatorSet the value to false in an authorization or sale request. When you do so, only that specific transaction is disabled for partial authorization.

Optional Field

You can use this optional field to include additional information when disabling debit and prepaid partial authorizations.

Optional Field
FieldDescription
processingInformation.linkIdset this field to the request ID that was returned in the response message from the original authorization request.

Last published: September 29, 2026